package com.mcwl.web.controller.rabbitmq.config;

import com.mcwl.common.constant.QueueConstants;
import org.springframework.amqp.core.Queue;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 初始化发送短信服雾队列
 *
 * @author DaiZibo
 * @date 2024/12/30
 * @apiNote
 */

@Configuration
public class CodeMQConfig {

    @Bean
    public Queue queue() {
        return new Queue(QueueConstants.CODE_QUEUE, true);
    }
}
